2018-08-19 20:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003020OpenFOAM[All Projects] Bugpublic2018-08-15 14:45
Reportertniemi 
Assigned Tohenry 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0003020: Question regarding fvcDdtPhiCoeff and LTS
DescriptionHi

In the commit (https://github.com/OpenFOAM/OpenFOAM-dev/commit/da787200a6b208cf3fc4dfaa48b4438a3a038c1b)

the fvcDdtPhiCoeff was modified to use "mesh().time().deltaT()*mesh().deltaCoeffs()/mesh().magSf()" expression when calculating the tddtCouplingCoeff. It seems that this expression is also used with LTS-scheme where deltaT() will be 1 but the true dT can be much less. Is this intentional behavior or am I just reading the code wrong? To me it seems that if we run a transient case with a regular Euler and LTS with the same time step (dT << 1), in the regular case the tddtCouplingCoeff could be much larger than in the LTS case.

Note: this is merely an observation made while reading the code. I don't have a test case to demonstrate any problems or effects.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009891

henry (manager)

The change to fvcDdtPhiCoeff was necessary to handle very small time-steps correctly. This change may have implications for LTS; it is possible that the local time-step should be used in fvcDdtPhiCoeff or it may be preferable to not use ddtCorr for LTS at all if the local time-step is large enough; it is not necessary for steady-runs using the SIMPLE algorithm. Further testing is needed, please report any cases you have which benefit from any of the three choices.

~0009959

henry (manager)

Resolved by commit f5dd712c8497b03686dd3ed2ec3475539d5e801f
+Notes

-Issue History
Date Modified Username Field Change
2018-08-02 14:45 tniemi New Issue
2018-08-02 15:06 henry Note Added: 0009891
2018-08-15 14:45 henry Assigned To => henry
2018-08-15 14:45 henry Status new => resolved
2018-08-15 14:45 henry Resolution open => fixed
2018-08-15 14:45 henry Fixed in Version => dev
2018-08-15 14:45 henry Note Added: 0009959
+Issue History